<?php

namespace App\Http\Controllers;

use App\Models\Avatar;
use Illuminate\Http\Request;

class AvatarController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\avatar  $avatar
     * @return \Illuminate\Http\Response
     */
    public function show(avatar $avatar)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\avatar  $avatar
     * @return \Illuminate\Http\Response
     */
    public function edit(avatar $avatar)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\avatar  $avatar
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, avatar $avatar)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\avatar  $avatar
     * @return \Illuminate\Http\Response
     */
    public function destroy(avatar $avatar)
    {
        //
    }

    public function getAvatarById($id)
    {
        $avatar = Avatar::find($id);
        return $avatar;
    }
}
